Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.validation.mx
Class GenericValidation

    java.lang.Object
      com.stc.swift.validation.mx.GenericValidation

    public class GenericValidation

extends java.lang.Object

Constructor Summary
`GenericValidation()`

Method Summary
`static boolean` | `checkCountryCode(java.lang.String countryCode)`
`static boolean` | `checkCurrencyCode(java.lang.String currencyValue)`
`static boolean` | `checkDecimalDigit(java.lang.String currencyValue)`
`static boolean` | `checkIBANValue(java.lang.String ibanValue)`
`static java.util.HashSet` | `getXMLCurrencyValue(java.lang.String xmlText, java.lang.String typeName)`
`static java.util.HashSet` | `getXMLElementValue(java.lang.String xmlText, java.lang.String typeName)`
`static java.util.HashSet` | `getXSDElementName(java.lang.String xsdText, java.lang.String typeName)`
`static java.lang.String` | `getXSDFileName(java.lang.String xmlText)`
`static java.lang.String` | `stripSpace(java.lang.String ibanValue)`
`static boolean` | `verifyCheckDigit(java.lang.String ibanValue, java.lang.String checkDigit)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericValidation

    public GenericValidation()

Method Detail

### getXSDElementName

    public static java.util.HashSet getXSDElementName(java.lang.String xsdText,
                                                      java.lang.String typeName)

### getXMLElementValue

    public static java.util.HashSet getXMLElementValue(java.lang.String xmlText,
                                                       java.lang.String typeName)

### getXMLCurrencyValue

    public static java.util.HashSet getXMLCurrencyValue(java.lang.String xmlText,
                                                        java.lang.String typeName)

### checkCurrencyCode

    public static boolean checkCurrencyCode(java.lang.String currencyValue)

### checkDecimalDigit

    public static boolean checkDecimalDigit(java.lang.String currencyValue)

### checkCountryCode

    public static boolean checkCountryCode(java.lang.String countryCode)

### checkIBANValue

    public static boolean checkIBANValue(java.lang.String ibanValue)

### verifyCheckDigit

    public static boolean verifyCheckDigit(java.lang.String ibanValue,
                                           java.lang.String checkDigit)

### stripSpace

    public static java.lang.String stripSpace(java.lang.String ibanValue)

### getXSDFileName

    public static java.lang.String getXSDFileName(java.lang.String xmlText)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.